View Issue Details

IDProjectCategoryView StatusLast Update
0005051SymmetricDSImprovementpublic2021-07-13 19:39
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.11Fixed in Version3.12.11 
Summary0005051: Improve performance with sync trigger call for list of triggers
DescriptionImprove performance of the configuration router and load filter by calling sync triggers with a list of triggers instead of making multiple calls for each trigger. If a corresponding trigger for a change cannot be found (because it has been deleted), then call the sync triggers to examine all triggers.
TagsNo tags attached.

Relationships

related to 0004994 resolvedelong SymmetricDS Pro Performance of sync trigger is very slow in SQL Server while synchronizing large number of triggers 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 5883dd11

2021-07-09 20:01:09

admin

Details Diff
0005051: Improve performance with sync trigger call for list of triggers Affected Issues
0005051
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.12 937e2fea

2021-07-12 15:07:17

admin

Details Diff
0005051: Improve performance with sync trigger call for list of triggers Affected Issues
0005051
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2021-07-09 19:59 elong New Issue
2021-07-09 19:59 elong Status new => assigned
2021-07-09 19:59 elong Assigned To => elong
2021-07-09 20:01 elong Status assigned => resolved
2021-07-09 20:01 elong Resolution open => fixed
2021-07-09 20:01 elong Fixed in Version => 3.12.11
2021-07-09 21:00 admin Changeset attached => SymmetricDS 3.12 5883dd11
2021-07-12 16:00 admin Changeset attached => SymmetricDS 3.12 937e2fea
2021-07-13 17:53 admin Status resolved => closed
2021-07-13 19:39 elong Relationship added related to 0004994